Name:           patchelf
Version:        0.16.0
Release:        1
Summary:        A utility for patching ELF binaries

License:        GPL-3.0
URL:            http://nixos.org/patchelf.html
Source0:        https://github.com/NixOS/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ make autoconf automake coreutils libacl-devel libattr-devel

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.


%prep
%autosetup
# package ships elf.h - delete to use glibc-headers one
%{__rm} -f src/elf.h


%build
bash ./bootstrap.sh
%configure
%make_build


%check
make check


%install
%make_install

rm -rf %{buildroot}/usr/share/doc/%{name}


%files
%license COPYING
%doc README.md
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*


%changelog
* Fri Dec 30 2022 liyuxiang <liyuxiang@ncti-gba.cn> - 0.16.0-1
- update to 0.16.0 to fix CVE-2022-44940 

* Tue Nov 23 2021 konglidong <konglidong@uniontech.com> - 0.13-1
- package init
